Subject: bug#76535: Recommend against turn-on-<FOO>-mode functions

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Feb 2025 23:23:02 -0500

> They aren't redundant for global minor modes created using
> `define-global-minor-mode' and `define-globalized-minor-mode',
> AFAIK.  Arg TURN-ON is a required argument.
>
>   TURN-ON is a function that will be called with no args in every buffer
>   and that should try to turn MODE on if applicable for that buffer.

Just because the arg is called "TURN-ON" doesn't mean it needs to take
an argument called `turn-on-FOO-mode` nor that it should behave the same
as `turn-on-FOO-mode`.

        Stefan